Subject: bug#35175: Cannot reconfigure

From: Luther Thompson <[email-masked]>
Date: Mon, 8 Apr 2019 19:27:52 -0400

On Mon, 8 Apr 2019 12:54:14 +0200
Danny Milosavljevic <[email-masked]> wrote:

> The reason for the error Luther encountered is because something is
> up with the gdm service.
> 
> And that's because of
> 
>                       (extend params (compose extensions)))
> 
> And I guess the extension/composition mechanism of gdm is broken.
> 
> There was a commit
> 
> commit 0cf981a6066711f6e830a3f1d40f7c265b0bac94
> Author: Ludovic Courtès <[email-masked]>
> Date:   Fri Apr 5 17:40:01 2019 +0200
> 
>     services: gdm: Properly handle empty extensions lists.
> 
> recently.
> 
> @Luther: Could you try with the commit right before that change?

I think that's the commit that *fixed* the problem. It didn't work for
me until 2 days later, which may be due to the fact that `guix system
reconfigure` actually installs a system from a couple of `guix pull`s
ago. I know that by seeing the Linux versions in GRUB.

Luther